package com.sun.java.swing.plaf.motif;

import sun.awt.AppContext;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;
import javax.swing.plaf.basic.BasicLabelUI;

public class MotifLabelUI extends BasicLabelUI
{
    private static final Object MOTIF_LABEL_UI_KEY;
    
    public MotifLabelUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        AppContext appContext = AppContext.getAppContext();
        MotifLabelUI value = (MotifLabelUI)appContext.get(MotifLabelUI.MOTIF_LABEL_UI_KEY);
        if (value == null) {
            value = new MotifLabelUI();
            appContext.put(MotifLabelUI.MOTIF_LABEL_UI_KEY, value);
            return value;
        }
        return value;
    }
    
    static {
        MOTIF_LABEL_UI_KEY = new Object();
    }
}
